aboutsummaryrefslogtreecommitdiff
path: root/repos/archive/gcc/c89
diff options
context:
space:
mode:
authoremmett1 <emmett1.2miligrams@protonmail.com>2025-04-10 07:26:30 +0800
committeremmett1 <emmett1.2miligrams@protonmail.com>2025-04-10 07:26:30 +0800
commita64930636462bf24118ca7266f699ce2b696e821 (patch)
tree58d116ac5f03aa9e84ece6e4ffa6b489573042a4 /repos/archive/gcc/c89
parentddd8e1a8fab2ac39396282a7c09ddf6eca219613 (diff)
downloadalicelinux-a64930636462bf24118ca7266f699ce2b696e821.tar.gz
alicelinux-a64930636462bf24118ca7266f699ce2b696e821.zip
clang branch updated
Diffstat (limited to 'repos/archive/gcc/c89')
-rw-r--r--repos/archive/gcc/c8910
1 files changed, 10 insertions, 0 deletions
diff --git a/repos/archive/gcc/c89 b/repos/archive/gcc/c89
new file mode 100644
index 00000000..35486ea8
--- /dev/null
+++ b/repos/archive/gcc/c89
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}